# Site settings
title:          "thomasbas Rezeptesammlung"
email:          "mail@thomasba.de"
description:    "thomasbas Rezeptesammlung"
baseurl:        "/"
url:            "https://rezepte.thomasba.de"
markdown:       redcarpet
redcarpet:
    extensions: ["smart","tables"]
markdown_ext:   markdown,mkd,mkdn,md
highlighter:    pygments
timezone:       Europe/Berlin

source:         .
destination:    ./_site
plugins_dir:    ./_plugins
include:        ['.htaccess']
exclude:        ['recipes.sublime-project','recipes.sublime-workspace', 'vendor', 'Gemfile', 'Gemfile.lock', 'Makefile']
paginate:       10
paginate_path:  "rezepte/page-:num"
permalink:      "rezept/:title.html"
safe:           false

category_title_prefix: "Kategorie: "
category_meta_description_prefix: "Kategorie: "

language:      "de"

host:           0.0.0.0
port:           4002

asset_bundler:
    compress:
        css: yuicompressor --type css -o :outfile :infile
        js: yuicompressor --type js -o :outfile :infile
    base_path: assets/
    server_url:
    remove_bundled: true
    dev: false
    markup_templates:
        js: "js.push('{{url}}');\n"
        css: "<link rel='stylesheet' type='text/css' href='{{url}}'>\n"
